## ros-noetic-fkie-master-discovery 1.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(fkie_master_discovery)

find_package(catkin REQUIRED COMPONENTS fkie_multimaster_msgs std_srvs)

catkin_python_setup()

catkin_package(CATKIN_DEPENDS fkie_multimaster_msgs std_srvs)

catkin_install_python(
    PROGRAMS
        nodes/master_discovery
        nodes/zeroconf
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
    DIRECTORY
    launch
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/fkie_master_discovery.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/fkie_master_discovery.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/fkie_master_discovery"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/fkie_master_discovery"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== tests/CMakeLists.txt ===
### Unit tests
#
#   Only run when CATKIN_ENABLE_TESTING is true.

##  Python

# Unit tests not needing a running ROS core.
catkin_add_nosetests(test_filter_interface.py)

=== debian/changelog ===
ros-noetic-fkie-master-discovery (1.3.2-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sat, 16 Jul 2022 22:00:00 -0000

ros-noetic-fkie-master-discovery (1.3.1-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 14 Jul 2022 22:00:00 -0000

ros-noetic-fkie-master-discovery (1.3.0-2buster) buster; urgency=high

  * fkie_master_discovery: do not send requests if listen_mcast is disabled
  * fkie_master_discovery: shutdown node if time jump into past detected
    this cause whole system instability
  * fkie_master_discovery: send init requests in mixed scenario
    Network has hosts with different heartbeat hz
  * added support for request user name of running master_discovery and daemon
  * wait until RCP port is free to avoid shutdown because of "new node registered with same name"
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 14 Jul 2022 22:00:00 -0000

ros-noetic-fkie-master-discovery (1.2.7-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 22 Jan 2021 23:00:00 -0000

ros-noetic-fkie-master-discovery (1.2.6-2buster) buster; urgency=high

  * fixed "RuntimeError: dictionary changed size during iteration", issue #150 <https://github.com/fkie/multimaster_fkie/issues/150>
  * replaced Thread.isAlive() by .is_alive() according to issue #149 <https://github.com/fkie/multimaster_fkie/issues/149>
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 15 Jan 2021 23:00:00 -0000

ros-noetic-fkie-master-discovery (1.2.5-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 27 Nov 2020 23:00:00 -0000

ros-noetic-fkie-master-discovery (1.2.4-2buster) buster; urgency=high

  * fkie_master_discovery: fix discovery in some cases with multicast dropped while running
  * fkie_master_discovery: removed map of local addresses to localhost
    This caused problems if ROS_IP of ROS_HOSTNAME was used
  * master_discovery: added parameter to hide nodes, topics and services for filtered requests
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 10 Nov 2020 23:00:00 -0000

ros-noetic-fkie-master-discovery (1.2.0-2buster) buster; urgency=high

  * fkie_master_discovery: fixed threading problem
  * fkie_master_discovery: fixed shutdown process
    set daemon_threads to True in ThreadingMixIn
  * fkie_master_discovery: reduced timeout for connection requests
  * fkie_master_discovery: added exception on wrong message size
  * fkie_multimaster: fixed warning for cmake_minimum_required
  * fkie_multimaster: fixed build/start in noetic
  * fkie_master_discovery: do not publish statistics after shutdown
  * fkie_master_discovery: fixed python3 compatibility on close
  * master_discovery: added more output details to find problems on issue #130 <https://github.com/fkie/multimaster_fkie/issues/130>
    more details for "master_discovery node appear not to running"
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 21 Jul 2020 22:00:00 -0000

ros-noetic-fkie-master-discovery (1.1.0-2buster) buster; urgency=high

  * prepared conditions for python3  in package xml
  * fkie_multimaster_msgs: changed timestamp in MasterState from float to time
  * fkie_multimaster_msgs: changed timestamp in LinkState from float to time
  * fkie_multimaster: added timestamp of last heartbeat to LinkState message
  * fkie_multimaster_fkie: got get_local_address from rosgraph.network
  * fkie_multimaster: a lot of merges for python 3 compatibility
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 12 May 2020 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.8.12-2buster) buster; urgency=high

  * Merge pull request #100 <https://github.com/fkie/multimaster_fkie/issues/100> from stertingen/patch-1
    zeroconf.py: Detect IPv6 usage from environment
  * zeroconf.py: Detect IPv6 usage from environment
    Set environment ROS_IPV6=on to enable the IPv6 RPC server.
  * master_discovery_fkie: zeroconf: added fqdn-parameter, see issue #99 <https://github.com/fkie/multimaster_fkie/issues/99>
  * master_discovery_fkie: fixed some format warning
  * master_discovery_fkie: zeroconf use for monitoruri the same hostname from masteruri
  * Contributors: Alexander Tiderko, Hermann von Kleist

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 29 Apr 2019 22:00:00 -0000

ros-noetic-fkie-master-discovery (0.8.11-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.8.10-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 25 Feb 2019 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.8.9-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 20 Dec 2018 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.8.8-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 18 Dec 2018 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.8.7-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 17 Dec 2018 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.8.5-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 10 Dec 2018 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.8.4-2buster) buster; urgency=high

  * master_discovery_fkie: fix zeroconf to avoid request loop in master_sync
    see issue #90 <https://github.com/fkie/multimaster_fkie/issues/90>
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 07 Dec 2018 23:00:00 -0000

ros-noetic-fkie-master-discovery (0.8.3-2buster) buster; urgency=high



=== debian/control ===
Source: ros-noetic-fkie-master-discovery
Section: misc
Priority: optional
Maintainer: Alexander Tiderko <alexander.tiderko@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-fkie-multimaster-msgs, ros-noetic-std-srvs
Homepage: http://ros.org/wiki/master_discovery_fkie
Standards-Version: 3.9.2

Package: ros-noetic-fkie-master-discovery
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, avahi-daemon, ros-noetic-fkie-multimaster-msgs, ros-noetic-rosgraph, ros-noetic-roslib, ros-noetic-rospy, ros-noetic-std-srvs
Description: Discover the running ROS Masters in local network.
 The discovering is done by sending an echo heartbeat messages to a defined multicast group. The alternative is to use a zeroconf/avahi daemon to register the ROS master as service and discover other ROS masters.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-fkie-master-discovery//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
